// priority: 0

ServerEvents.recipes((event) => {
	removeRecipeByID(event, [
		CR_V("pressurizing/sulfuric_acid"),
		CR_V("pressurizing/copper_sulfate"),
		CR_V("pressurizing/sulfur_dioxide"),
		CR_V("pressurizing/sulfur_trioxide"),
		CR_V("pressurizing/sulfur_trioxide_alt"),
	])
	removeRecipeByOutput(event, [
		CR_V("vanadium_nugget"),
	])
	
	
	
	//radiant and shadow steel compat AA
	customRecipes.ad_astra.compressing(event, CR_V('refined_radiance_sheet'), F('#ingots/refined_radiance'))
	customRecipes.ad_astra.compressing(event, CR_V('shadow_steel_sheet'), F('#ingots/shadow_steel'))
	
	
	//extended crafting recipes for only mech crafted stuff
	event.recipes.extendedcrafting.shaped_table(CR_V('laser_item'), [
		' A ',
		'BCB',
		'BDB',
		' E ',
	], {
		A: MC('redstone'),
		B: F("#plates/copper"),
		C: CR("electron_tube"),
		D: MC("glowstone_dust"),
		E: MC("red_stained_glass"),
	})
	event.recipes.extendedcrafting.shaped_table(CR_V('helve_hammer'), [
		' A DD',
		'ABBBC',
		'AA  E',
	], {
		A: F('#storage_blocks/iron'),
		B: MC("#logs"),
		C: CR("andesite_casing"),
		D: CR_V("iron_spring"),
		E: CR("shaft"),
	})
	event.recipes.extendedcrafting.shaped_table(CR_V('lathe'), [
		' FCE ',
		'ABBDA',
		'  CE ',
	], {
		A: CR("shaft"),
		B: CR("andesite_casing"),
		C: CR_V("iron_spring"),
		D: F('#storage_blocks/iron'),
		E: CR("andesite_alloy"),
		F: CR("precision_mechanism"),
	})
})